# Generated by Django 4.0.2 on 2022-06-24 07:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tickets', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('note', models.TextField(verbose_name='Notitie')),
                ('dt_added', models.DateTimeField(auto_now_add=True, verbose_name='Toevoeg datum')),
                ('employee', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Medewerker')),
                ('ticket', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='Notes', to='tickets.ticket', verbose_name='Ticket')),
            ],
        ),
    ]
